Subject: [ipfix-protocol] some more info regarding the scope in [IPFIX-INFO]

From: Benoit Claise <[email-masked]>
Date: Sun, 06 Mar 2005 19:11:09 +0100

Dear all,

While reviewing the draft with Juergen Quittek and Thomas Dietz, we 
realized that we were lacking some information about the scope.
We propose the following text.

An IPFIX compliant implementation of the Collecting Process MUST
support this minimum set of Information Element as scope: 
LineCardId, TemplateId, exporterIPv4Address, exporterIPv6Address, and 
ingressInterface. Note that other Information Elements such as 
meteringProcessId, exportingProcessId, sourceId, etc. are also valid 
scopes. The IPFIX protocol doesn't prevent the use of any Information 
Elements for scope. However some Information Element types don't make 
sense if specifed as scope. Example: the counters Information Elements.

Regards, Benoit.